<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: CfgGameplayJson Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d9/df7/class_cfg_gameplay_json.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">CfgGameplayJson Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>contents of this class will be transfered to client upon connecting, with the variables in either initial state as set through the 'InitServer..()' call, or replaced with contents of the json configuration file if such file is both present and reading is enabled in server.cfg  
 <a href="../../d9/df7/class_cfg_gameplay_json.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a74319c9c42b2cc9b74360523ca05e902"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/df7/class_cfg_gameplay_json.html#a74319c9c42b2cc9b74360523ca05e902">InitServer</a> ()</td></tr>
<tr class="memdesc:a74319c9c42b2cc9b74360523ca05e902"><td class="mdescLeft">&#160;</td><td class="mdescRight">used to set-up default values  <a href="../../d9/df7/class_cfg_gameplay_json.html#a74319c9c42b2cc9b74360523ca05e902">More...</a><br /></td></tr>
<tr class="separator:a74319c9c42b2cc9b74360523ca05e902"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a62921c64107358eeda3ff9ebb800f4fe"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/df7/class_cfg_gameplay_json.html#a62921c64107358eeda3ff9ebb800f4fe">version</a> = -1</td></tr>
<tr class="separator:a62921c64107358eeda3ff9ebb800f4fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08839f0b8feb35c5edb7c7c4f3244348"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d1/deb/class_i_t_e_m___general_data.html">ITEM_GeneralData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/df7/class_cfg_gameplay_json.html#a08839f0b8feb35c5edb7c7c4f3244348">GeneralData</a> = new <a class="el" href="../../d1/deb/class_i_t_e_m___general_data.html">ITEM_GeneralData</a></td></tr>
<tr class="memdesc:a08839f0b8feb35c5edb7c7c4f3244348"><td class="mdescLeft">&#160;</td><td class="mdescRight">!! all member variables must correspond with the cfggameplay.json file contents !!!!  <a href="../../d9/df7/class_cfg_gameplay_json.html#a08839f0b8feb35c5edb7c7c4f3244348">More...</a><br /></td></tr>
<tr class="separator:a08839f0b8feb35c5edb7c7c4f3244348"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a28251e23056f9954434cd1da7fd81657"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d9/ddf/class_i_t_e_m___player_data.html">ITEM_PlayerData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/df7/class_cfg_gameplay_json.html#a28251e23056f9954434cd1da7fd81657">PlayerData</a> = new <a class="el" href="../../d9/ddf/class_i_t_e_m___player_data.html">ITEM_PlayerData</a></td></tr>
<tr class="separator:a28251e23056f9954434cd1da7fd81657"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f952a8dd0f09f7224d936c007d7f260"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../da/dee/class_i_t_e_m___world_data.html">ITEM_WorldData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/df7/class_cfg_gameplay_json.html#a0f952a8dd0f09f7224d936c007d7f260">WorldsData</a> = new <a class="el" href="../../da/dee/class_i_t_e_m___world_data.html">ITEM_WorldData</a></td></tr>
<tr class="separator:a0f952a8dd0f09f7224d936c007d7f260"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9bad82b447df81ff614a436036414f8"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d4/d96/class_i_t_e_m___base_building_data.html">ITEM_BaseBuildingData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/df7/class_cfg_gameplay_json.html#ab9bad82b447df81ff614a436036414f8">BaseBuildingData</a> = new <a class="el" href="../../d4/d96/class_i_t_e_m___base_building_data.html">ITEM_BaseBuildingData</a></td></tr>
<tr class="separator:ab9bad82b447df81ff614a436036414f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2810c73e98c5eab361591bae00a78589"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../dc/d0c/class_i_t_e_m___u_i_data.html">ITEM_UIData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/df7/class_cfg_gameplay_json.html#a2810c73e98c5eab361591bae00a78589">UIData</a> = new <a class="el" href="../../dc/d0c/class_i_t_e_m___u_i_data.html">ITEM_UIData</a></td></tr>
<tr class="separator:a2810c73e98c5eab361591bae00a78589"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >contents of this class will be transfered to client upon connecting, with the variables in either initial state as set through the 'InitServer..()' call, or replaced with contents of the json configuration file if such file is both present and reading is enabled in server.cfg </p>

<p class="definition">Definition at line <a class="el" href="../../da/d9e/_cfg_gameplay_data_json_8c_source.html#l00002">2</a> of file <a class="el" href="../../da/d9e/_cfg_gameplay_data_json_8c_source.html">CfgGameplayDataJson.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a74319c9c42b2cc9b74360523ca05e902" name="a74319c9c42b2cc9b74360523ca05e902"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a74319c9c42b2cc9b74360523ca05e902">&#9670;&#160;</a></span>InitServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void CfgGameplayJson::InitServer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>used to set-up default values </p>

<p class="definition">Definition at line <a class="el" href="../../da/d9e/_cfg_gameplay_data_json_8c_source.html#l00006">6</a> of file <a class="el" href="../../da/d9e/_cfg_gameplay_data_json_8c_source.html">CfgGameplayDataJson.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="ab9bad82b447df81ff614a436036414f8" name="ab9bad82b447df81ff614a436036414f8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab9bad82b447df81ff614a436036414f8">&#9670;&#160;</a></span>BaseBuildingData</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d4/d96/class_i_t_e_m___base_building_data.html">ITEM_BaseBuildingData</a> CfgGameplayJson::BaseBuildingData = new <a class="el" href="../../d4/d96/class_i_t_e_m___base_building_data.html">ITEM_BaseBuildingData</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d9e/_cfg_gameplay_data_json_8c_source.html#l00021">21</a> of file <a class="el" href="../../da/d9e/_cfg_gameplay_data_json_8c_source.html">CfgGameplayDataJson.c</a>.</p>

</div>
</div>
<a id="a08839f0b8feb35c5edb7c7c4f3244348" name="a08839f0b8feb35c5edb7c7c4f3244348"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a08839f0b8feb35c5edb7c7c4f3244348">&#9670;&#160;</a></span>GeneralData</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d1/deb/class_i_t_e_m___general_data.html">ITEM_GeneralData</a> CfgGameplayJson::GeneralData = new <a class="el" href="../../d1/deb/class_i_t_e_m___general_data.html">ITEM_GeneralData</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>!! all member variables must correspond with the cfggameplay.json file contents !!!! </p>

<p class="definition">Definition at line <a class="el" href="../../da/d9e/_cfg_gameplay_data_json_8c_source.html#l00018">18</a> of file <a class="el" href="../../da/d9e/_cfg_gameplay_data_json_8c_source.html">CfgGameplayDataJson.c</a>.</p>

</div>
</div>
<a id="a28251e23056f9954434cd1da7fd81657" name="a28251e23056f9954434cd1da7fd81657"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a28251e23056f9954434cd1da7fd81657">&#9670;&#160;</a></span>PlayerData</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d9/ddf/class_i_t_e_m___player_data.html">ITEM_PlayerData</a> CfgGameplayJson::PlayerData = new <a class="el" href="../../d9/ddf/class_i_t_e_m___player_data.html">ITEM_PlayerData</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d9e/_cfg_gameplay_data_json_8c_source.html#l00019">19</a> of file <a class="el" href="../../da/d9e/_cfg_gameplay_data_json_8c_source.html">CfgGameplayDataJson.c</a>.</p>

</div>
</div>
<a id="a2810c73e98c5eab361591bae00a78589" name="a2810c73e98c5eab361591bae00a78589"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2810c73e98c5eab361591bae00a78589">&#9670;&#160;</a></span>UIData</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../dc/d0c/class_i_t_e_m___u_i_data.html">ITEM_UIData</a> CfgGameplayJson::UIData = new <a class="el" href="../../dc/d0c/class_i_t_e_m___u_i_data.html">ITEM_UIData</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d9e/_cfg_gameplay_data_json_8c_source.html#l00022">22</a> of file <a class="el" href="../../da/d9e/_cfg_gameplay_data_json_8c_source.html">CfgGameplayDataJson.c</a>.</p>

</div>
</div>
<a id="a62921c64107358eeda3ff9ebb800f4fe" name="a62921c64107358eeda3ff9ebb800f4fe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a62921c64107358eeda3ff9ebb800f4fe">&#9670;&#160;</a></span>version</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> CfgGameplayJson::version = -1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d9e/_cfg_gameplay_data_json_8c_source.html#l00004">4</a> of file <a class="el" href="../../da/d9e/_cfg_gameplay_data_json_8c_source.html">CfgGameplayDataJson.c</a>.</p>

</div>
</div>
<a id="a0f952a8dd0f09f7224d936c007d7f260" name="a0f952a8dd0f09f7224d936c007d7f260"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0f952a8dd0f09f7224d936c007d7f260">&#9670;&#160;</a></span>WorldsData</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../da/dee/class_i_t_e_m___world_data.html">ITEM_WorldData</a> CfgGameplayJson::WorldsData = new <a class="el" href="../../da/dee/class_i_t_e_m___world_data.html">ITEM_WorldData</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d9e/_cfg_gameplay_data_json_8c_source.html#l00020">20</a> of file <a class="el" href="../../da/d9e/_cfg_gameplay_data_json_8c_source.html">CfgGameplayDataJson.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/<a class="el" href="../../da/d9e/_cfg_gameplay_data_json_8c_source.html">CfgGameplayDataJson.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d9/df7/class_cfg_gameplay_json.html">CfgGameplayJson</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
